# $Id: perl-Net-Hotline.spec 3133 2005-04-16 09:04:11Z dries $
# Authority: dries
# Upstream: John Siracusa <siracusa$mindspring,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Net-Hotline

Summary: Hotline internet client
Name: perl-Net-Hotline
Version: 0.83
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Net-Hotline/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/J/JS/JSIRACUSA/Net-Hotline-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
The Net::Hotline modules implement a Hotline interface in Perl. Currently,
this includes only Net::Hotline::Client.  Hotline is an internet
client/server system that's sort of a cross between IRC and a traditional
BBS.  See http://www.hotlinesw.com/ for more information.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Net/Hotline.p*
%{perl_vendorlib}/Net/Hotline
%{perl_vendorlib}/auto/Net/Hotline

%changelog
* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.83-1 - 3133/dries
- Initial package.
